std::basic_regex< _Ch_type, _Rx_traits > Class Template Reference
Regular Expressions

## Public Types

typedef regex_constants::syntax_option_type | flag_type
typedef traits_type::locale_type | locale_type
typedef traits_type::string_type | string_type
typedef _Rx_traits | traits_type
typedef _Ch_type | value_type

## Constants

std [28.8.1](1)
static constexpr flag_type | icase
static constexpr flag_type | nosubs
static constexpr flag_type | optimize
static constexpr flag_type | collate
static constexpr flag_type | ECMAScript
static constexpr flag_type | basic
static constexpr flag_type | extended
static constexpr flag_type | awk
static constexpr flag_type | grep
static constexpr flag_type | egrep
template<typename , typename , typename , bool >
class | __detail::_Executor
template<typename _Bp , typename _Ap , typename _Cp , typename _Rp , __detail::_RegexExecutorPolicy , bool >
bool | __detail::__regex_algo_impl (_Bp, _Bp, match_results< _Bp, _Ap > &, const basic_regex< _Cp, _Rp > &, regex_constants::match_flag_type)
| basic_regex ()
| basic_regex (const _Ch_type *__p, flag_type __f=ECMAScript)
| basic_regex (const _Ch_type *__p, std::size_t __len, flag_type __f=ECMAScript)
| basic_regex (const basic_regex &__rhs)=default
| basic_regex (basic_regex &&__rhs) noexcept=default
template<typename _Ch_traits , typename _Ch_alloc >
| basic_regex (const std::basic_string< _Ch_type, _Ch_traits, _Ch_alloc > &__s, flag_type __f=ECMAScript)
template<typename _FwdIter >
| basic_regex (_FwdIter __first, _FwdIter __last, flag_type __f=ECMAScript)
| basic_regex (initializer_list< _Ch_type > __l, flag_type __f=ECMAScript)
| ~basic_regex ()
basic_regex & | operator= (const basic_regex &__rhs)
basic_regex & | operator= (basic_regex &&__rhs) noexcept
basic_regex & | operator= (const _Ch_type *__p)
basic_regex & | operator= (initializer_list< _Ch_type > __l)
template<typename _Ch_traits , typename _Alloc >
basic_regex & | operator= (const basic_string< _Ch_type, _Ch_traits, _Alloc > &__s)
basic_regex & | assign (const basic_regex &__rhs)
basic_regex & | assign (basic_regex &&__rhs) noexcept
basic_regex & | assign (const _Ch_type *__p, flag_type __flags=ECMAScript)
basic_regex & | assign (const _Ch_type *__p, std::size_t __len, flag_type __flags)
template<typename _Ch_traits , typename _Alloc >
basic_regex & | assign (const basic_string< _Ch_type, _Ch_traits, _Alloc > &__s, flag_type __flags=ECMAScript)
template<typename _InputIterator >
basic_regex & | assign (_InputIterator __first, _InputIterator __last, flag_type __flags=ECMAScript)
basic_regex & | assign (initializer_list< _Ch_type > __l, flag_type __flags=ECMAScript)
unsigned int | mark_count () const
flag_type | flags () const
locale_type | imbue (locale_type __loc)
locale_type | getloc () const
void | swap (basic_regex &__rhs)

## Detailed Description

### template<typename _Ch_type, typename _Rx_traits = regex_traits<_Ch_type>>
class std::basic_regex< _Ch_type, _Rx_traits >

Objects of specializations of this class represent regular expressions constructed from sequences of character type `_Ch_type`.

Storage for the regular expression is allocated and deallocated as necessary by the member functions of this class.

Definition at line 36 of file regex.h.

The documentation for this class was generated from the following file:

- regex.h